Package org.jacoco.report

## Class FileMultiReportOutput

- java.lang.Object
- - org.jacoco.report.FileMultiReportOutput

All Implemented Interfaces:
  `IMultiReportOutput`

    public class FileMultiReportOutput
    extends java.lang.Object
    implements IMultiReportOutput

Implementation of `IMultiReportOutput` that writes files directly to a given directory.

### Constructor Summary

Constructors
`FileMultiReportOutput​(java.io.File basedir)` Creates a new instance for document output in the given base directory.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes the underlying resource container.
`java.io.OutputStream` `createFile​(java.lang.String path)` Creates a file at the given local path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileMultiReportOutput

    public FileMultiReportOutput​(java.io.File basedir)

Creates a new instance for document output in the given base directory.

Parameters:
  `basedir` - base directory

### Method Detail

#### createFile

    public java.io.OutputStream createFile​(java.lang.String path)
                                    throws java.io.IOException

Description copied from interface: `IMultiReportOutput`
Creates a file at the given local path. The returned `OutputStream` has to be closed before the next document is created.

Specified by:
  `createFile` in interface `IMultiReportOutput`
Parameters:
  `path` - local path to the new document
Returns:
  output for the content
Throws:
  `java.io.IOException` - if the creation fails

#### close

    public void close()
               throws java.io.IOException

Description copied from interface: `IMultiReportOutput`
Closes the underlying resource container.

Specified by:
  `close` in interface `IMultiReportOutput`
Throws:
  `java.io.IOException` - if closing fails